Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 342379 - dev-vcs/git-1.7.3.2[+doc] does not build (docbook2texi error)
Summary: dev-vcs/git-1.7.3.2[+doc] does not build (docbook2texi error)
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo SGML herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-23 19:58 UTC by Christoph Lange
Modified: 2011-01-07 21:15 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Output log of cave resolve -x -1 -0 '*/*' -Cs dev-vcs/git (1288166445-install-dev-vcs_git-1.7.3.2:0::gentoo.out,25.41 KB, text/plain)
2010-10-27 08:04 UTC, Christoph Lange
Details
output of cave info dev-vcs/git > /tmp/git.cave.info 2>&1 (git.cave.info,18.27 KB, text/plain)
2010-10-27 08:07 UTC, Christoph Lange
Details
Output log of cave resolve -x -1 -0 '*/*' -Cs dev-vcs/git for 1.7.3.2-r1 (1288179947-install-dev-vcs_git-1.7.3.2-r1:0::gentoo.out,25.46 KB, text/plain)
2010-10-27 11:52 UTC, Christoph Lange
Details
Build log for dev-vcs/git-1.7.2.2 (build.log,24.35 KB, text/plain)
2010-11-10 12:08 UTC, Kristian Poul Herkild
Details
environment-file, dev-vcs/git-1.7.2.2 (environment,111.53 KB, text/plain)
2010-11-10 12:12 UTC, Kristian Poul Herkild
Details
Output for emerge --info (emerge-info_git-1.7.2.2,6.29 KB, text/plain)
2010-11-10 12:15 UTC, Kristian Poul Herkild
Details
Output for emerge -pqv, dev-vcs/git-1.7.2.2 (emerge-pqv_git-1.7.2.2,189 bytes, text/plain)
2010-11-10 12:15 UTC, Kristian Poul Herkild
Details
Output for emerge -pqv, dev-vcs/git-1.7.2.2 (emerge-pqv_git-1.7.2.2,188 bytes, text/plain)
2010-11-10 12:23 UTC, Kristian Poul Herkild
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Lange 2010-10-23 19:58:07 UTC
I tried to install dev-vcs/git-1.7.3.2 with the doc use flag; with the stable version 1.7.2.2 I had the same problem.

I have app-text/docbook2X-0.8.8-r2 and app-text/docbook-sgml-utils-0.6.14-r1 installed (same problem with stable 0.6.14).

The following error occurs when building the documentation of git (using cave of paludis-0.54.4, but I guess that's not part of the problem):

...

    ASCIIDOC gitworkflows.xml
    DB2TEXI user-manual.texi
docbook2texi:/book: no description for directory entry
/usr/bin/db2x_texixml:-::node: fatal error: node belongs to a different file
Died at /usr/bin/db2x_texixml line 959.
make: *** [user-manual.texi] Error 255

With -doc it works.
Comment 1 Christoph Lange 2010-10-23 19:59:47 UTC
fixed the summary, it also affects 1.7.3.2
Comment 2 Michael Weber (RETIRED) gentoo-dev 2010-10-26 14:33:24 UTC
Hi,

can you please attach the complete build.log and environment file mentioned at the end of the emerge output?

Thanks
Comment 3 Jeroen Roovers gentoo-dev 2010-10-27 06:26:40 UTC
Not to forget the output of `emerge --info'.
Comment 4 Christoph Lange 2010-10-27 08:04:54 UTC
Created attachment 252167 [details]
Output log of cave resolve -x -1 -0 '*/*' -Cs dev-vcs/git
Comment 5 Christoph Lange 2010-10-27 08:07:09 UTC
Created attachment 252169 [details]
output of cave info dev-vcs/git > /tmp/git.cave.info 2>&1
Comment 6 Christoph Lange 2010-10-27 08:07:59 UTC
Is that all you need?  Please let me know if anything is missing.
Comment 7 Christoph Lange 2010-10-27 11:52:04 UTC
Created attachment 252205 [details]
Output log of cave resolve -x -1 -0 '*/*' -Cs dev-vcs/git for 1.7.3.2-r1

With 1.7.3.2-r1, the behavior slightly changed.  It seems that the first texinfo file gets processed, but then the second one fails.
Comment 8 Kristian Poul Herkild 2010-11-10 12:05:54 UTC
I can confirm this one for dev-vcs/git-1.7.2.2
Comment 9 Kristian Poul Herkild 2010-11-10 12:08:06 UTC
Created attachment 253877 [details]
Build log for dev-vcs/git-1.7.2.2

Build log for dev-vcs/git-1.7.2.2
Comment 10 Kristian Poul Herkild 2010-11-10 12:12:17 UTC
Created attachment 253879 [details]
environment-file, dev-vcs/git-1.7.2.2
Comment 11 Kristian Poul Herkild 2010-11-10 12:15:26 UTC
Created attachment 253883 [details]
Output for emerge --info
Comment 12 Kristian Poul Herkild 2010-11-10 12:15:53 UTC
Created attachment 253885 [details]
Output for emerge -pqv, dev-vcs/git-1.7.2.2
Comment 13 Kristian Poul Herkild 2010-11-10 12:23:35 UTC
Created attachment 253887 [details]
Output for emerge -pqv, dev-vcs/git-1.7.2.2

Correct output now. The problem does not exist without doc-use flag
Comment 14 Christoph Lange 2010-12-07 23:21:19 UTC
Confirming for 1.7.3.3 (same setup as before otherwise)

    DB2TEXI user-manual.texi
docbook2texi:/book: no description for directory entry
    DB2TEXI gitman.texi
/usr/bin/db2x_texixml:-::node: fatal error: node belongs to a different file
Died at /usr/bin/db2x_texixml line 959.
Comment 15 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-12-19 02:49:42 UTC
I think that your Docbook or Tex is broken, as the versions you have output for all work perfectly for me with USE=doc.

1.7.3.3:
...
    ASCIIDOC gitworkflows.xml
    DB2TEXI user-manual.texi
docbook2texi:/book: no description for directory entry
    MAKEINFO git.info
user-manual.texi:12: warning: Must specify a title with least one of @settitle or @top.
    DB2TEXI gitman.texi
    MAKEINFO gitman.info
gitman.texi:1697: warning: @strong{Note...} produces a spurious cross-reference in Info; reword to avoid that.
>>> Source compiled.


1.7.3.4:
...
    DB2TEXI user-manual.texi
docbook2texi:/book: no description for directory entry
    MAKEINFO git.info
user-manual.texi:12: warning: Must specify a title with least one of @settitle or @top.
    DB2TEXI gitman.texi
    MAKEINFO gitman.info
gitman.texi:1697: warning: @strong{Note...} produces a spurious cross-reference in Info; reword to avoid that.
>>> Source compiled.
Comment 16 Christoph Lange 2010-12-19 12:41:39 UTC
Just upgraded app-text/asciidoc to 8.6.3 (currently unstable) and managed to compile git 1.7.3.4-r1.

(In reply to comment #15)
> I think that your Docbook or Tex is broken, as the versions you have output for
> all work perfectly for me with USE=doc.
I have the latest stable versions of the DocBook tools, and TeXLive 2010.  I can tell you the exact version numbers of everything if needed.

It might be worth a test whether the latest stable versions of everything allow for compiling the latest stable version of git.  If TeX is responsible for the problem, I should say that I had TeXLive 2009 (unstable) when reporting this bug; I've never tried it with TeXLive 2008 (stable).
Comment 17 Kristian Poul Herkild 2010-12-19 19:57:54 UTC
It works for me now:
After having upgraded to dev-lang/perl-5.12.2-r4 from 5.8.8-r8 and having run perl-cleaner with various flags set (including --pretend) I did a emerge --oneshot on following packages:
dev-perl/XML-Simple-2.18
dev-perl/XML-SAX-Writer-0.53
dev-perl/perl-tk-804.029
dev-perl/XML-Filter-BufferText-1.01
dev-perl/XML-LibXML-1.70
dev-perl/Net-SSLeay-1.36
dev-perl/XML-SAX-0.16

Particularly XML-SAX-Writer gave me trouble with perl-5.8.8-r8, so use the newest stable perl and run perl-cleaner. That fixed it for me. Before re-emerging mentioned packages, git did not compile with the "doc" useflag. Remember: Use perl-cleaner.
Comment 18 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2011-01-07 21:15:03 UTC
Ok, i'm going to assume this was just broken stuff on your systems due to Perl upgrade.